Skip to main content
POST
/
action
/
industry_research_send_research_email_action
[IR2] Send Industry Research Email
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/industry_research_send_research_email_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "output_variable_name": "email_result",
  "report_id": "{{industry_research.report_id}}",
  "email": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
output_variable_name
string
default:email_result
required
Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
report_id
string
default:{{industry_research.report_id}}

ID of the report to send. Use {{industry_research.report_id}} to reference output from [IR1].

email
string

Override email. Defaults to user's account email.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action